## com.ibm.lab.soln.resources
Interface IResourceIDs

public interface IResourceIDs

Definition of common strings that were used as plug-in extension ids. Some of these fields represent values defined in the com.ibm.lab.soln.dialogs plug-in. They are specified here to avoid having a formal dependancy on the Dialogs plugin.

Field Summary
`static java.lang.String` | `BUILDER_ID` id of builder - matches plugin.xml (concatenate pluginid.builderid)
`static java.lang.String` | `MARKER_ID` id of marker - matches plugin.xml (concatenate pluginid.markerid)
`static java.lang.String` | `NATURE_ID` identifier of nature in plugin.xml - (concatenate pluginid.natureid)
`static org.eclipse.core.runtime.IPath` | `README_FOLDER` path for where readme files will be found
`static java.lang.String` | `REDIT_PREFERENCES_KEY` Key for boolean value to be stored as a resource property.
`static org.eclipse.core.runtime.QualifiedName` | `REDIT_PROPERTY_KEY` Key for boolean value that can be stored as a resource property.
`static boolean` | `TRACE_ENABLED` Global Trace Control

Field Detail

### BUILDER_ID

    public static final java.lang.String BUILDER_ID

  id of builder - matches plugin.xml (concatenate pluginid.builderid)

### MARKER_ID

    public static final java.lang.String MARKER_ID

  id of marker - matches plugin.xml (concatenate pluginid.markerid)

### NATURE_ID

    public static final java.lang.String NATURE_ID

  identifier of nature in plugin.xml - (concatenate pluginid.natureid)

### README_FOLDER

    public static final org.eclipse.core.runtime.IPath README_FOLDER

  path for where readme files will be found

### REDIT_PREFERENCES_KEY

    public static final java.lang.String REDIT_PREFERENCES_KEY

  Key for boolean value to be stored as a resource property. Used by the com.ibm.lab.soln.resources plugin if available If the value changes here, it must also change in the IDialogsIDs interface

### REDIT_PROPERTY_KEY

    public static final org.eclipse.core.runtime.QualifiedName REDIT_PROPERTY_KEY

  Key for boolean value that can be stored as a resource property. Created by the com.ibm.lab.soln.dialogs plugin if available If the value changes here, it must also change in the IDialogsIDs interface

### TRACE_ENABLED

    public static final boolean TRACE_ENABLED

  Global Trace Control